Bug 788716 - Write-perf reports useless results due to use of /dev/urandom
Write-perf reports useless results due to use of /dev/urandom
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jeff Darcy
Anush Shetty
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-08 16:35 EST by Jeff Darcy
Modified: 2013-07-24 14:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:01:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Darcy 2012-02-08 16:35:43 EST
Contrary to popular belief, urandom is not free.  In generic testing, a simple dd using /dev/urandom performs at about half the performance compared to /dev/zero for fully synchronous I/O, about 1/20 for buffered I/O (i.e. the difference on the input side is mostly masked when waiting for disks on the output side).  There's probably we can do about read-perf without platform-specific flushing of kernel buffers, but for write-perf we can at least get more accurate and useful numbers by using /dev/zero instead.
Comment 1 Anand Avati 2012-02-09 01:51:12 EST
CHANGE: http://review.gluster.com/2728 (Use /dev/zero instead of /dev/urandom to get realistic numbers.) merged in master by Anand Avati (avati@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.